import { integer, sqliteTable, text } from "drizzle-orm/sqlite-core";

export const usersTable = sqliteTable("users_table", {
	id: integer().primaryKey({ autoIncrement: true }),
	name: text().notNull(),
	discord_id: integer().notNull().unique(),
	join_streak: integer(),
	last_joined_at: integer({ mode: "timestamp" }),
	took_medication_today: integer().notNull().default(0),
});
